Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0


%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}

Name:           cyberdomo-upnp-stack-jdk13
Version:        1.8.0
Release:	alt1_2jpp5
Epoch:          0
Summary:        CyberDomo UPnP Stack for JDK 1.3
License:        BSD
Group:          Development/Java
URL:            http://domoware.isti.cnr.it/
Source0:        http://domoware.isti.cnr.it/maven2-snap/it/cnr/isti/domoware/cyberdomo/upnp-stack-jdk13/1.8.0-SNAPSHOT/upnp-stack-jdk13-1.8.0-20080205.125626-10-sources.jar
Source1:        http://domoware.isti.cnr.it/maven2-snap/it/cnr/isti/domoware/cyberdomo/upnp-stack-jdk13/1.8.0-SNAPSHOT/upnp-stack-jdk13-1.8.0-20080205.125626-10.pom
Source2:        cyberdomo-upnp-stack-jdk13-settings.xml
Source3:        http://domoware.isti.cnr.it/maven2-snap/it/cnr/isti/domoware/cyberdomo/cyberdomo/2-SNAPSHOT/cyberdomo-2-20080110.180351-1.pom
Source4:        cyberdomo-upnp-stack-jdk13-jpp-depmap.xml
Source5:        cyberdomo-upnp-stack-jdk13-autogenerated-files.tar.gz


%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRequires: jpackage-utils >= 0:1.7.4
%if %{with_maven}
BuildRequires: maven2 >= 2.0.4-9
BuildRequires: maven2-plugin-ant
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-release
BuildRequires: maven2-plugin-resources
BuildRequires: maven-surefire-plugin
BuildRequires: maven2-common-poms >= 1.0-2
%endif

BuildRequires: ant
BuildRequires: kxml2
BuildRequires: xpp3

Requires: kxml2
Requires: xpp3

Requires(post): jpackage-utils >= 0:1.7.4
Requires(postun): jpackage-utils >= 0:1.7.4

%if %{gcj_support}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif

%description
A pure Java Open Source implementation of the UPnP stack for
JDK 1.3

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires(pre): /bin/ls

%description javadoc
Javadoc for %{name}.

%prep
%setup -T -c -n %{name}
mkdir -p src/main/java
pushd src/main/java
jar xf %{SOURCE0}
popd

cp %{SOURCE1} pom.xml
%if %{without_maven}
    gzip -dc %{SOURCE5} | tar xf -
%else
    cp %{SOURCE2} settings.xml
%endif

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
%if %{with_maven}
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

    export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
    mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
    cp %{SOURCE3} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/it.cnr.isti.domoware.cyberdomo-cyberdomo.pom

    mvn-jpp \
        -e \
        -s $(pwd)/settings.xml \
        -Dmaven.test.failure.ignore=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE4} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        ant:ant install javadoc:javadoc

%else
export CLASSPATH=$(build-classpath \
kxml2 \
xpp3 \
)
ant -Dbuild.sysclasspath=only -Dmaven.settings.offline=true jar javadoc

%endif

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/*.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%add_to_maven_depmap it.cnr.isti.domoware.cyberdomo cyberdomo 2 JPP cyberdomo
%add_to_maven_depmap it.cnr.isti.domoware.cyberdomo upnp-stack-jdk13 %{version} JPP cyberdomo-upnp-stack-jdk13

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-cyberdomo.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

cp -pr target/site/apidocs/* \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*
%{_datadir}/maven2
%{_mavendepmapfragdir}
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Tue Mar 03 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.8.0-alt1_2jpp5
- first build

* Sat Sep 06 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.8.0-alt1_1jpp5
- converted from JPackage by jppimport script

